Update a customer profile bank account

[Available in Sandbox/Production environment] Updates the bank account information for a customer profile

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
ℹ️

Note:

For a customer profile bank account that is already verified, only account_no, swift_bic, intermediary_swift_bic, routing_code, bank_account_proof, and payment_reason are allowed to be updated.

Updating account_no, swift_bic, or bank_account_proof will change the bank account verification status to pending.

Path Params
string
required

Customer Profile ID is retrieved from the response of Create Customer Profile API
Regex: /^\s*.{1,191}\s*$/

string
required

The ID of the user's bank account
Regex: /^\d+$/

Body Params
string

Bank account number
Bank account length: Between 5 - 34 characters
Regex: /^[a-zA-Z0-9\-]{5,34}$/

string

Bank abbreviation. You can get the list of bank account abbreviation from the Get Bank and Abbreviation Mapping API. Get Bank
Regex: /^\s*.{1,191}\s*$/

string

Name of bank account holder(Must be within 191 characters)
Regex: /^\s*.{1,191}\s*$/

bank_account_proof
object

Required if bank account is already verified and swift_bic / account_no is being updated

string

Intermediary SWIFT/BIC for the bank account
Regex: /^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$/

Note: Must be uppercase

string

Routing code for the bank account
Regex: /^[A-Z0-9]{1,31}$/

Note: Must be uppercase

string

SWIFT code of the bank account
Regex: /^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$/

Note: Must be uppercase

string

Payment reason is a field used to pass clear, specific instructions to the receiving bank.
Length: 1 - 150 characters (Non-blank)
Regex: /^\s*.{1,150}\s*$/

Note: This value will override the default Remittance Information (MT103 Field 70 / pacs.008) in the final payment message sent to the bank when provided.

Headers
string
required

You can retrieve this from your Dashboard Developer Tools.

Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.

string

The Key ID, can be retrieved from your StraitsX Dashboard.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

Current Unix epoch time in seconds. Must be within ±300 seconds of server time.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

A unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.
Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/i

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

Base64-encoded digital signature of the canonical request string.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json